#if !defined  HAVE_BITPOL_DERIV_H__
#define       HAVE_BITPOL_DERIV_H__

#include "fxttypes.h"  // ulong
#include "bits/bitsperlong.h"

inline ulong bitpol_deriv(ulong c)
// Return derived polynomial
{
#if  BITS_PER_LONG >= 64
    c &= 0xaaaaaaaaaaaaaaaaUL;
#else
    c &= 0xaaaaaaaaUL;
#endif
    return  (c>>1);
}
// -------------------------


#endif  // !defined HAVE_BITPOL_DERIV_H__
